Package org.apache.sysds.hops.fedplanner

# Class FederatedCompilationTimer.TimeEntry

java.lang.Object
org.apache.sysds.hops.fedplanner.FederatedCompilationTimer.TimeEntry

Enclosing class:
  FederatedCompilationTimer

public static class FederatedCompilationTimer.TimeEntry extends Object

## Constructor Summary

Constructors
Constructor
Description
`TimeEntry(String name)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getDuration()`
`boolean`
`is(String searchName)`
`void`
`stopTime()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeEntry

public TimeEntry(String name)

## Method Details

### stopTime

public void stopTime()

### is

public boolean is(String searchName)

### getDuration

public long getDuration()